SolrException.ErrorCode (Solr 3.6.2 API)
Keywords: org.apache.solr.common.SolrException.ErrorCode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.common
Enum SolrException.ErrorCode

    java.lang.Object
      java.lang.Enum<SolrException.ErrorCode>
          org.apache.solr.common.SolrException.ErrorCode

All Implemented Interfaces:
  Serializable, Comparable<SolrException.ErrorCode>

Enclosing class:
  SolrException

    public static enum SolrException.ErrorCode

extends Enum<SolrException.ErrorCode>

Since:
  solr 1.2

Enum Constant Summary
`BAD_REQUEST`
`FORBIDDEN`
`NOT_FOUND`
`SERVER_ERROR`
`SERVICE_UNAVAILABLE`
`UNAUTHORIZED`
`UNKNOWN`

Field Summary
`int` | `code`

Method Summary
`static SolrException.ErrorCode` | `getErrorCode(int c)`
`static SolrException.ErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolrException.ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BAD_REQUEST

    public static final SolrException.ErrorCode BAD_REQUEST

### UNAUTHORIZED

    public static final SolrException.ErrorCode UNAUTHORIZED

### FORBIDDEN

    public static final SolrException.ErrorCode FORBIDDEN

### NOT_FOUND

    public static final SolrException.ErrorCode NOT_FOUND

### SERVER_ERROR

    public static final SolrException.ErrorCode SERVER_ERROR

### SERVICE_UNAVAILABLE

    public static final SolrException.ErrorCode SERVICE_UNAVAILABLE

### UNKNOWN

    public static final SolrException.ErrorCode UNKNOWN

Field Detail

### code

    public final int code

Method Detail

### values

    public static final SolrException.ErrorCode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SolrException.ErrorCode c : SolrException.ErrorCode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SolrException.ErrorCode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getErrorCode

    public static SolrException.ErrorCode getErrorCode(int c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD